Name:           perl-Web-Query
Version:        0.38
Release:        1%{?dist}
Summary:        Yet another scraping library like jQuery
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Web-Query/
Source0:        http://www.cpan.org/authors/id/Y/YA/YANICK/Web-Query-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008005
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTML::Selector::XPath) >= 0.20
BuildRequires:  perl(HTML::TreeBuilder::LibXML)
BuildRequires:  perl(HTML::TreeBuilder::XPath)
BuildRequires:  perl(List::Util) >= 1.44
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(parent)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
Requires:       perl(Exporter)
Requires:       perl(HTML::Entities)
Requires:       perl(HTML::Selector::XPath) >= 0.20
Requires:       perl(HTML::TreeBuilder::LibXML)
Requires:       perl(HTML::TreeBuilder::XPath)
Requires:       perl(List::Util) >= 1.44
Requires:       perl(LWP::UserAgent)
Requires:       perl(parent)
Requires:       perl(Scalar::Util)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Web::Query is a yet another scraping framework, have a jQuery like
interface.

%prep
%setup -q -n Web-Query-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTORS cpanfile doap.xml LICENSE META.json README README.mkdn
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 27 2017 Dave Cross <dave@mag-sol.com> 0.38-1
- Specfile autogenerated by cpanspec 1.78.
